Get related person application
curl --request GET \
--url https://sg.sandbox.api.reap.global/companies/{id}/related-person-applications/{applicationId} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/companies/{id}/related-person-applications/{applicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/companies/{id}/related-person-applications/{applicationId}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "INITIATED",
"sessionUrl": "<string>",
"expiresAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"relatedPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "COMPANY_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Companies
Get related person application
Retrieves a specific KYC verification application for a related person.
GET
/
companies
/
{id}
/
related-person-applications
/
{applicationId}
Get related person application
curl --request GET \
--url https://sg.sandbox.api.reap.global/companies/{id}/related-person-applications/{applicationId} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/companies/{id}/related-person-applications/{applicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/companies/{id}/related-person-applications/{applicationId}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "INITIATED",
"sessionUrl": "<string>",
"expiresAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"relatedPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "COMPANY_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Path Parameters
Unique company identifier
Unique related person application identifier
Response
Related person application details
Related person application
Unique company application identifier
Company this application belongs to
Application lifecycle status
Available options:
INITIATED, IN_PROGRESS, APPROVED, REJECTED, REVIEW_REQUIRED, WORKFLOW_ERROR, EXPIRED Example:
"INITIATED"
URL for the corporate client to complete verification
When the verification session URL expires (ISO 8601)
When the application was created (ISO 8601)
When the application was last updated (ISO 8601)
Related person this application belongs to